Skip to main content

🧍🏻 Persons

Power Automate connector in preview

Power Automate connector is currently in preview. It has all the functionality. Preview flag will be removed in some time as Mockster finds its users.

Description​

Generate data for a person. Returns an array of properties, by default ten. Some properties might be localized.

Query options​

ParameterDescriptionDefault
CountCount of objects returned10
LocaleLocalization for the response, see Localizationen
SeedSeed value for reproducible results.null

Request​

Power Automate​

In Power Automate you can find this endpoint by searching for Get people mockdata.

Get people mockdata action

HTTP​

Or you can use an HTTP request.

HTTP
GET https://api.mockster.dev/api/v1/persons
Accept: application/json

Response​

Example​

JSON
[
{
"bio": "diabetes supporter, engineer",
"birthday": "1998-10-17T08:20:10.984Z",
"businessPhone": "1-617-812-6179 x7382",
"city": "McLaughlinchester",
"country": "New Caledonia",
"creditLimit": 6203000,
"department": "Purchasing",
"description": "significance lover",
"email": "Angelo.Runte95@gmail.com",
"firstName": "Angelo",
"fullName": "Angelo Runte",
"gender": "Trans male",
"jobArea": "Intranet",
"lastName": "Runte",
"sexType": "male"
}
]

Bio​

JSONPower Automate
bioBio

Returns the bio of the person. For example: diabetes supporter, engineer.

Return datatype: string

Birthday​

JSONPower Automate
birthdayBirthday

Returns the birthday of the person. For example: 1998-10-17T08:20:10.984Z.

Return datatype: string

Business Phone​

JSONPower Automate
businessPhoneBusiness Phone

Returns the business phone number of the person. For example: 1-617-812-6179 x7382.

Return datatype: string

City​

JSONPower Automate
cityCity

Returns the city of the person. For example: McLaughlinchester.

Return datatype: string

Country​

JSONPower Automate
countryCountry

Returns the country of the person. For example: New Caledonia.

Return datatype: string

Credit Limit​

JSONPower Automate
creditLimitCredit Limit

Returns the credit limit of the person. For example: 6203000.

Return datatype: number

Department​

JSONPower Automate
departmentDepartment

Returns the department of the person. For example: Purchasing.

Return datatype: string

Description​

JSONPower Automate
descriptionDescription

Returns the description of the person. For example: significance lover.

Return datatype: string

Email​

JSONPower Automate
emailEmail

Returns the email of the person. For example: Angelo.Runte95@gmail.com.

Return datatype: string

First Name​

JSONPower Automate
firstNameFirst Name

Returns the first name of the person. For example: Angelo.

Return datatype: string

Full Name​

JSONPower Automate
fullNameFull Name

Returns the full name of the person. For example: Angelo Runte.

Return datatype: string

Gender​

JSONPower Automate
genderGender

Returns the gender of the person. For example: Trans male.

Return datatype: string

Job Area​

JSONPower Automate
jobAreaJob Area

Returns the job area of the person. For example: Intranet.

Return datatype: string

Last Name​

JSONPower Automate
lastNameLast Name

Returns the last name of the person. For example: Runte.

Return datatype: string

Sex Type​

JSONPower Automate
sexTypeSex Type

Returns the sex type of the person. For example: male.

Return datatype: string

Create some plane tickets for your persons with the ✈️ Airlines endpoint.

To create employers for the persons, use the 🏢 Companies endpoint.

For usernames and other internet related things, see 🌐 Internets endpoint.